package com.example.civilizedcity.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.example.civilizedcity.entity.TaIssue;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.example.civilizedcity.entity.TaOrgIssue;

import java.util.Map;

/**
 * 单位问题单;(ta_org_issue)表数据库访问层
 * @author : http://njyunzhi.com
 * @date : 2022-12-28
 */
@Mapper
public interface TaOrgIssueMapper  extends BaseMapper<TaOrgIssue>{

     IPage<TaIssue> getIssuePageBy(IPage<TaIssue> pg,
                                   @Param("orgId") String orgId,
                                   @Param("sourceType") String sourceType,
                                   @Param("processNode") String processNode,
                                   @Param("isExpire") Boolean isExpire
     );

     TaOrgIssue getByIssueAndOrg(@Param("issueId") Integer issueId, @Param("orgId") String orgId);

     Map<String, Object> statMaIndex(@Param("orgId") String orgId);

    int updateProcess(@Param("issueId") Integer issueId,@Param("orgId") String orgId,@Param("processStatus") String processStatus);

    int removeByIssueId(@Param("issueId") String issueId);

}